VkImageMemoryBarrier Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkImageMemoryBarrier:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkAccessFlags | srcAccessMask
VkAccessFlags | dstAccessMask
VkImageLayout | oldLayout
VkImageLayout | newLayout
uint32_t | srcQueueFamilyIndex
uint32_t | dstQueueFamilyIndex
VkImage | image
VkImageSubresourceRange | subresourceRange

## Detailed Description

Definition at line 2795 of file vulkan_core.h.

## Field Documentation

## dstAccessMask

VkAccessFlags VkImageMemoryBarrier::dstAccessMask

Definition at line 2799 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

## dstQueueFamilyIndex

uint32_t VkImageMemoryBarrier::dstQueueFamilyIndex

Definition at line 2803 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

## image

VkImage VkImageMemoryBarrier::image

Definition at line 2804 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

## newLayout

VkImageLayout VkImageMemoryBarrier::newLayout

Definition at line 2801 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

## oldLayout

VkImageLayout VkImageMemoryBarrier::oldLayout

Definition at line 2800 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

## pNext

const void* VkImageMemoryBarrier::pNext

Definition at line 2797 of file vulkan_core.h.

## srcAccessMask

VkAccessFlags VkImageMemoryBarrier::srcAccessMask

Definition at line 2798 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

## srcQueueFamilyIndex

uint32_t VkImageMemoryBarrier::srcQueueFamilyIndex

Definition at line 2802 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

## sType

VkStructureType VkImageMemoryBarrier::sType

Definition at line 2796 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

## subresourceRange

VkImageSubresourceRange VkImageMemoryBarrier::subresourceRange

Definition at line 2805 of file vulkan_core.h.

Referenced by recordPipelineImageBarrier().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h